<?php

/**
 * @package Administration Center Security
 * @version 1.0
 * @autor margarett (Bruno Alves) for SimpleMachines www.simplemachines.org
 * @license http://creativecommons.org/licenses/by/3.0
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function ACP_Security_AdminAreas(&$admin_areas)
{
	global $context, $enable_admin_security;
	
	//Are we enabled? If not just return :(
	if (isset($enable_admin_security) && $enable_admin_security === true)
		$context['enable_acp_sec'] = 1;
	else
		return;

	//What are we disabling?
	//In "forum" area, only "packages" --> PackMan
	if (isset($admin_areas['forum']['areas']['packages']))
		unset($admin_areas['forum']['areas']['packages']);
	//In "Configuration" area, more stuff
	if (isset($admin_areas['config']['areas']['languages'])) //Languages are evil, one can upload evil stuff here :)
		unset($admin_areas['config']['areas']['languages']);
	if (isset($admin_areas['config']['areas']['serversettings'])) //The most important stuff to disable :)
		unset($admin_areas['config']['areas']['serversettings']);
	if (isset($admin_areas['config']['areas']['current_theme'])) //Themes are evil.
		unset($admin_areas['config']['areas']['current_theme']);
	if (isset($admin_areas['config']['areas']['theme']))
		unset($admin_areas['config']['areas']['theme']);
	//In "Maintenance" we take out the maintenance stuff
	if (isset($admin_areas['maintenance']['areas']['maintain']))
		unset($admin_areas['maintenance']['areas']['maintain']);
	
}
